Bug 1104584 - Transaction with JTS: log contains time to time error: (Transaction Expired Entry Monitor) java.lang.InstantiationException
Summary: Transaction with JTS: log contains time to time error: (Transaction Expired E...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Transaction Manager
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: DR12
: EAP 6.4.0
Assignee: Gytis Trikleris
QA Contact: Ondrej Chaloupka
URL:
Whiteboard:
Depends On: 1143956
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-04 09:10 UTC by Ondrej Chaloupka
Modified: 2019-08-19 12:43 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)
server.log with the errror in context (1.31 MB, text/x-log)
2014-06-04 09:10 UTC, Ondrej Chaloupka
no flags Details
server.log from oracle 11gR1 (1.36 MB, text/x-log)
2014-06-16 10:47 UTC, Ondrej Chaloupka
no flags Details


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker JBTM-2256 Major Closed Race condition between recovery manager initialization and expiry scanner 2015-10-26 08:46:31 UTC

Description Ondrej Chaloupka 2014-06-04 09:10:17 UTC
Created attachment 902079 [details]
server.log with the errror in context

It happens to me that time to time the server log (EAP 6.3.0.ER5) contains error:
06:10:49,441 ERROR [stderr] (Transaction Expired Entry Monitor) java.lang.InstantiationException: com.arjuna.ats.arjuna.coordinator.AbstractRecord

This is intermittent issue and can't be reproduced each time. The functionality is not harmed but the log contains nasty exception:

06:10:49,441 ERROR [stderr] (Transaction Expired Entry Monitor) java.lang.InstantiationException: com.arjuna.ats.arjuna.coordinator.AbstractRecord
06:10:49,441 ERROR [stderr] (Transaction Expired Entry Monitor) at java.lang.J9VMInternals.newInstanceImpl(Native Method)
06:10:49,442 ERROR [stderr] (Transaction Expired Entry Monitor) at java.lang.Class.newInstance(Class.java:1558)
06:10:49,442 ERROR [stderr] (Transaction Expired Entry Monitor) at com.arjuna.ats.arjuna.coordinator.AbstractRecord.create(AbstractRecord.java:446)
06:10:49,443 ERROR [stderr] (Transaction Expired Entry Monitor) at com.arjuna.ats.arjuna.coordinator.BasicAction.restore_state(BasicAction.java:1170)
ERROR [stderr] (Transaction Expired Entry Monitor) at com.arjuna.ats.internal.jts.recovery.transactions.AssumedCompleteTransaction.restore_state(AssumedCompleteTransaction.java:115)
ERROR [stderr] (Transaction Expired Entry Monitor) at com.arjuna.ats.arjuna.coordinator.BasicAction.activate(BasicAction.java:484)
ERROR [stderr] (Transaction Expired Entry Monitor) at com.arjuna.ats.arjuna.coordinator.BasicAction.activate(BasicAction.java:447)
ERROR [stderr] (Transaction Expired Entry Monitor) at com.arjuna.ats.internal.jts.recovery.transactions.RecoveredTransaction.<init>(RecoveredTransaction.java:104)
ERROR [stderr] (Transaction Expired Entry Monitor) at com.arjuna.ats.internal.jts.recovery.transactions.AssumedCompleteTransaction.<init>(AssumedCompleteTransaction.java:64)
ERROR [stderr] (Transaction Expired Entry Monitor) at com.arjuna.ats.internal.jts.recovery.transactions.ExpiredAssumedCompleteScanner.scan(ExpiredAssumedCompleteScanner.java:107)
ERROR [stderr] (Transaction Expired Entry Monitor) at com.arjuna.ats.internal.arjuna.recovery.ExpiredEntryMonitor.run(ExpiredEntryMonitor.java:171)

Mainly seen when testing against Oracle databases.

Comment 2 Ondrej Chaloupka 2014-06-16 10:47:35 UTC
Created attachment 909079 [details]
server.log from oracle 11gR1

I can see a similar error in the 6.3.0.ER7 (Narayana 4.17.20.Final).

ERROR [stderr] (Transaction Expired Entry Monitor) java.lang.InstantiationException
ERROR [stderr] (Transaction Expired Entry Monitor)  at sun.reflect.InstantiationExceptionConstructorAccessorImpl.newInstance(InstantiationExceptionConstructorAccessorImpl.java:48)
ERROR [stderr] (Transaction Expired Entry Monitor)  at java.lang.reflect.Constructor.newInstance(Constructor.java:526)
ERROR [stderr] (Transaction Expired Entry Monitor)  at java.lang.Class.newInstance(Class.java:374)
ERROR [stderr] (Transaction Expired Entry Monitor)  at com.arjuna.ats.arjuna.coordinator.AbstractRecord.create(AbstractRecord.java:446)
ERROR [stderr] (Transaction Expired Entry Monitor)  at com.arjuna.ats.arjuna.coordinator.BasicAction.restore_state(BasicAction.java:1170)
ERROR [stderr] (Transaction Expired Entry Monitor)  at com.arjuna.ats.internal.jts.recovery.transactions.AssumedCompleteTransaction.restore_state(AssumedCompleteTransaction.java:115)
ERROR [stderr] (Transaction Expired Entry Monitor)  at com.arjuna.ats.arjuna.coordinator.BasicAction.activate(BasicAction.java:484)
ERROR [stderr] (Transaction Expired Entry Monitor)  at com.arjuna.ats.arjuna.coordinator.BasicAction.activate(BasicAction.java:447)
ERROR [stderr] (Transaction Expired Entry Monitor)  at com.arjuna.ats.internal.jts.recovery.transactions.RecoveredTransaction.<init>(RecoveredTransaction.java:104)
ERROR [stderr] (Transaction Expired Entry Monitor)  at com.arjuna.ats.internal.jts.recovery.transactions.AssumedCompleteTransaction.<init>(AssumedCompleteTransaction.java:64)
ERROR [stderr] (Transaction Expired Entry Monitor)  at com.arjuna.ats.internal.jts.recovery.transactions.ExpiredAssumedCompleteScanner.scan(ExpiredAssumedCompleteScanner.java:107)
ERROR [stderr] (Transaction Expired Entry Monitor)  at com.arjuna.ats.internal.arjuna.recovery.ExpiredEntryMonitor.run(ExpiredEntryMonitor.java:171)

Comment 3 Ondrej Chaloupka 2014-07-08 14:13:35 UTC
I can see this exception time to time as well when I test with WildFly.

Comment 4 Gytis Trikleris 2014-09-24 13:55:35 UTC
This will be available once JBossTS 4.17.23 gets into EAP

Comment 7 tom.jenkinson 2014-12-05 12:38:34 UTC
Went into 4.17.23

Comment 8 Hayk Hovsepyan 2014-12-08 09:58:26 UTC
Verified on revision EAP 6.4.0.DR12.
This error does not appear in logs anymore.

Comment 9 JBoss JIRA Server 2014-12-11 15:54:08 UTC
Tom Jenkinson <tom.jenkinson@redhat.com> updated the status of jira JBTM-2256 to Closed


Note You need to log in before you can comment on or make changes to this bug.